﻿@model IEnumerable<Barter.Models.Request>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.SkillFrom.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SkillTo.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Message)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Status)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DateOfSending)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.SkillFrom.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.SkillTo.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Message)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Status)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DateOfSending)
        </td>
        <td>
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Accept", "Accept", new { requestId=item.Id })
            @Html.ActionLink("Deny", "Deny", new { requestId = item.Id })
        </td>
    </tr>
}

</table>
